V7.0

put

/ec-dc-svc/rest/v7.0/studies/{studyId}/{mode}/subjects/{subjectId}

Update subject information for a specific subject by identifier within a study. All subject demographic, event, and status fields may be updated. Path parameters define the study and subject. The request body provides new attribute values for the subject. Note: This API updates the subject with the provided details.

Request

Path Parameters
  • Indicates the operational mode of the study. Accepted values: active, test, or training.
    Example:
    test
  • Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    5D5F9311C591424F852B99FD902E98A4
  • Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.
    Example:
    2C5F9311C591424F852B99FD902E98A4
Supported Media Types
Request Body - application/json ()
Root Schema : schema
Type: object
Show Source
Nested Schema : SubjectDto15
Type: object
Subject request/response payload including enrollmentDate and all inherited subject properties
Show Source
Examples

Back to Top

Response

Supported Media Types

200 Response

Updated subject details returned if update successful.
Body ()
Root Schema : SubjectRespDto16
Type: object
Subject response details including enrollment date and all inherited subject properties
Show Source
Examples

400 Response

Bad request.
Body ()
Root Schema : DcsResponse
Type: object
Show Source
Nested Schema : ErrorResponseData
Type: object
Title: ErrorResponseData
Error Response Details Information
Show Source
  • Object
    Title: Object
    Object with error details information.
  • Error code which is stored in ErrorCode enum. Example : C1-003
    Example: C1-003
  • Error message which is stored in service property file. Example : Cannot modify object after a study version has been approved
    Example: Cannot modify object after a study version has been approved
Nested Schema : result
Type: object
Nested Schema : Object
Type: object
Title: Object
Object with error details information.
Back to Top